#!/bin/bash

if [ -f /etc/.SimpleShutdown ]
then
	echo "   "
	echo "   Simple Shutdown has been installed on this computer." 
	echo "   "
	exit 1
fi

echo "\
Software License Agreement

This is a binding agreement between OMRON Corporation ("OMRON") and you (the "User")
on the terms and conditions of the license of the Software.

1.In this Agreement, "Software" means the computer program and related 
	documentation contained in this package. The "Software" shall include 
	any derivative works thereto. Copyright of the Software remains the 
	sole property of OMRON or the third party who has licensed the Software 
	to OMRON and shall not be assigned to the User under this Agreement.

2.OMRON grants the User a non-exclusive, non-transferable and limited 
	license to use the Software only for the purpose of managing Uninterruptive 
	Power Supply sold by OMRON on one computer owned by the User.

3.The User shall not sub-license, assign nor lease the Software to any third 
	party without prior written consent of OMRON.
	
4.The User may copy the Software for back-up purpose only. The User may not 
	de-compile, reverse engineer nor otherwise attempt to discern the source 
	code of the Software. 

5.The User may modify the Software and the modified Software shall be subject 
	to the terms and conditions of this Agreement, provided however that, OMRON 
	shall not be assume any liability for any modified Software. 
	
6.The User shall treat any information contained in the Software as confidential 
	and shall not disclose it to any third party. This obligation shall survive 
	the termination of this Agreement.

7.OMRON warrants to the User who has registered by the User Registration Card 
	that, for a period of ninety (90) days after the User's purchase, the 
	Software will perform substantially in accordance with the attached user 
	manual.If the registered User discovers defect of the Software (substantial 
	non-conformity with the manual), and return it to OMRON within the said 
	ninety (90) days period, OMRON will replace the Software without charge. 
	The User acknowledges that all errors or bugs of the Software may not be 
	removed by such replacement.

8.THE ABOVE REPLACEMENT SHALL CONSTITUTE THE USER'S SOLE AND EXCLUSIVE 
	REMEDIES AGAINST OMRON AND THERE ARE NO OTHER WARRANTIES, EXPRESSED OR 
	IMPLIED, INCLUDING BUT NOT LIMITED TO, WARRANTY OF MERCHANTABILITY OR 
	FITNESS FOR PARTICULAR PURPOSE. IN NO EVENT, OMRON WILL BE LIABLE FOR ANY 
	LOST PROFITS OR OTHER INDIRECT, INCIDENTAL, SPECIAL OR CONSEQUENTIAL 
	DAMAGES ARISING OUT OF THIS AGREEMENT OR USE OF THE SOFTWARE.

9.In any event, OMRON's entire liability to the User for any cause shall not 
	exceed the amount actually paid by the User to purchase the Software.

10.If the User breaches this Agreement, OMRON may terminate this Agreement 
	upon notice to the User. In that event, the User shall return the Software 
	and all copies thereof.

11.Neither this Agreement nor any party or portion hereof shall be assigned, 
	sub-licensed or otherwise transferred by the User. Should any provision of 
	this Agreement be held to be void, invalid, unenforceable or illegal by a 
	court, the validity and enforceability of the other provisions of this 
	Agreement shall not be affected thereby. Failure of a party to enforce any 
	provision of this Agreement shall not constitute or be construed as a 
	waiver of such provision or of the right to enforce such provision.

12.If the User will de-compile, reserve engineer, or otherwise attempt to 
	discern the source code of the Software, OMRON shall have no liability for 
	any claim of 	patent, utility model right, trade secret or copyright 
	infringement whenever the User was claimed by the third party who consented 
	OMRON to use the Software or by the other third party.

13.This Agreement shall be governed by and construed under the laws of Japan." > /tmp/omronlicense.txt

cat /tmp/omronlicense.txt | more -p -d
declare -ix bContinue=1
while test $bContinue -eq 1;
do
	echo -e "Do you agree this license? [ y/n ] \\c";
	INFOMSG="\nSince you disagree, we shall fail to install. \n"
        read reply </dev/tty
	case "$reply" in 
		[Yy])
			bContinue=0;
			rm -f /tmp/omronlicense.txt;
			;;
		[Nn])
			bContinue=0;
			echo -e $INFOMSG;
			rm -f /tmp/omronlicense.txt;
			exit -1; 
			;;
		*)
			cat /tmp/omronlicense.txt | more -pd;
			;;
	esac
done

if [ ! -d /usr/lib/ssd ]
then
	mkdir /usr/lib/ssd
fi

if [ ! -d /usr/lib/ssd/master ]
then
	mkdir -p /usr/lib/ssd/master
fi

chmod +x master/S99SimpleShutdown
chmod +x master/SimpleShutdownDaemon
cp -fr master/* /usr/lib/ssd/master
echo master>/etc/.SimpleShutdown

case `uname -n` in
	debian)
	mv -f /usr/lib/ssd/master/SimpleShutdown /etc/init.d/SimpleShutdown
	update-rc.d SimpleShutdown defaults >/dev/null 2>&1
	;;
	*)
	mv -f /usr/lib/ssd/master/S99SimpleShutdown /etc/init.d/S99SimpleShutdown
	ln -s /etc/init.d/S99SimpleShutdown /etc/rc1.d/S99SimpleShutdown >/dev/null 2>&1
	ln -s /etc/init.d/S99SimpleShutdown /etc/rc2.d/S99SimpleShutdown >/dev/null 2>&1
	ln -s /etc/init.d/S99SimpleShutdown /etc/rc3.d/S99SimpleShutdown >/dev/null 2>&1
	ln -s /etc/init.d/S99SimpleShutdown /etc/rc5.d/S99SimpleShutdown >/dev/null 2>&1
	mv -f /usr/lib/ssd/master/SimpleShutdownDaemon /etc/init.d/SimpleShutdownDaemon
	chkconfig --level 1235 SimpleShutdownDaemon on >/dev/null 2>&1

esac
chmod -R 777 /usr/lib/ssd/master/

echo "   "
echo "   Simple Shutdown program has been installed completely."
echo "   Please run below command and setup the parameters of "
echo "   Simple Shutdown to meet your system."
echo "   "
echo "   Command:  /usr/lib/ssd/master/config.sh"

exit 1
