#ifndef __AGENTMANAGER_H
#define __AGENTMANAGER_H

#ifdef __cplusplus
extern "C" {
#endif

#include 	"../Public/stdpro_linux.h"
#include 	"../Public/Public.h"
#include 	"../Public/ConfigFile.h"
#include 	"../Public/ups.h"
#define LOCKFILE_AGENTMANAGER 	AGENT_PATH"/AgentManager.Lock"

class CAgentManager
{
public:
	CAgentManager();
	virtual 	~CAgentManager();
	void 		UpdateShow();
	void 		StopAgent();
	
private:
	int			GetAgentStatus();
	void 		PrintAgentManager();
	void 		PrintWarning(char *pszWarning);
	void		PrintCommPort();
	int			ReadStdInput(char *pszBuf, int iLength);
	int  		CheckInput(int nMaxNum);
	void 		StartAgent();
	
	void 		DoSelectMode();
	void  	SetComPort();
	void  	SendSignal(const char* szProcDes);
	void 		ManSelect();
	
private:
	CPublic		m_public;
	CConfigFile m_cfg;
	CUPS			m_ups;
	SHUTDOWNPARAM		ShutdownParam;
	int			m_iAgentStatus;
};

#ifdef __cplusplus
}
#endif

#endif
